For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The ScheduledInterview object
          • GET/interviews
          • POST/interviews
          • GET/interviews/{id}
          • GET/interviews/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsInterviews

/interviews/{id}

GET
/ats/v1/interviews/:id
GET
/api/ats/v1/interviews/:id
$curl -G https://api.merge.dev/api/ats/v1/interviews/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=interviewers,organizer,application,job_interview_stage \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "id": "b8faf072-98b9-4445-8a9a-6b4950efca19",
3 "remote_id": "3",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "application": "92e8a369-fffe-430d-b93a-f7e8a16563f1",
7 "job_interview_stage": "2f7adb59-3fe6-4b5b-aef6-563f72bd13dc",
8 "organizer": "52bf9b5e-0beb-4f6f-8a72-cd4dca7ca633",
9 "interviewers": [
10 "f9813dd5-e70b-484c-91d8-00acd6065b07",
11 "89a86fcf-d540-4e6b-ac3d-ce07c4ec9b3c"
12 ],
13 "location": "Embarcadero Center 2",
14 "start_at": "2021-10-15T00:00:00Z",
15 "end_at": "2021-10-15T02:00:00Z",
16 "remote_created_at": "2021-10-15T00:00:00Z",
17 "remote_updated_at": "2021-10-15T00:00:00Z",
18 "status": "SCHEDULED",
19 "remote_was_deleted": true,
20 "field_mappings": {
21 "organization_defined_targets": {
22 "custom_key": "custom_value"
23 },
24 "linked_account_defined_targets": {
25 "custom_key": "custom_value"
26 }
27 },
28 "remote_data": [
29 {
30 "path": "/interviews",
31 "data": null
32 }
33 ]
34}

Returns a ScheduledInterview object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/interviews

Next

/interviews/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
applicationstring or nullformat: "uuid"
The application being interviewed.
job_interview_stagestring or nullformat: "uuid"
The stage of the interview.
organizerstring or nullformat: "uuid"
The user organizing the interview.
interviewerslist of strings

Array of RemoteUser IDs.

locationstring or null
The interview's location.
start_atdatetime or null
When the interview was started.
end_atdatetime or null
When the interview was ended.
remote_created_atdatetime or null
When the third party's interview was created.
remote_updated_atdatetime or null
When the third party's interview was updated.
statusenum or null

The interview’s status.

  • SCHEDULED - SCHEDULED
  • AWAITING_FEEDBACK - AWAITING_FEEDBACK
  • COMPLETE - COMPLETE
Allowed values:
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more